Distributions

A CDN distribution resource.

This tag groups all operations for distributions.

Retrieve all Distributions

get

This endpoint enables retrieving all Distributions using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.domainstring · min: 2 · max: 253Optional

filters resources by domain.

Example: example.comPattern: ^(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,63}\.?$
filter.statestring · enumOptional

filters resources by state.

Example: AVAILABLEPossible values:
Responses
chevron-right
200

Returned all requested Distributions successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Distribution resources.

Example: 24c578a9-361f-54d4-a326-a3f3070d5a03
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Distribution resources.

Example: /distributions
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/distributions

Create Distribution

post

Creates a new Distribution.

The full Distribution needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/distributions

Retrieve Distribution

get

Returns the Distribution by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
distributionIdstring · uuidRequired

The ID (UUID) of the Distribution.

Example: 9ba15778-16c4-543c-8775-e52acf4853f5
Responses
chevron-right
200

Getting Distribution was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Distribution.

Example: 9ba15778-16c4-543c-8775-e52acf4853f5
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Distribution.

Example: /distributions/9ba15778-16c4-543c-8775-e52acf4853f5
get
/distributions/{distributionId}

Ensure Distribution

put

Ensures that the Distribution with the provided ID is created or modified. The full Distribution needs to be provided to ensure (either update or create) the Distribution. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
distributionIdstring · uuidRequired

The ID (UUID) of the Distribution.

Example: 9ba15778-16c4-543c-8775-e52acf4853f5
Body
metadataanyOptional

Metadata

Responses
chevron-right
200

Distribution successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Distribution.

Example: 9ba15778-16c4-543c-8775-e52acf4853f5
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Distribution.

Example: /distributions/9ba15778-16c4-543c-8775-e52acf4853f5
put
/distributions/{distributionId}

Delete Distribution

delete

Deletes the specified Distribution.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
distributionIdstring · uuidRequired

The ID (UUID) of the Distribution.

Example: 9ba15778-16c4-543c-8775-e52acf4853f5
Responses
delete
/distributions/{distributionId}

No content

Last updated

Was this helpful?